Page MenuHomePhabricator

Homepage: highlight "congratulations for first edit" copy in the last screen of the "ask a question" modal
Closed, ResolvedPublic

Description

A potentially confusing experience is taking place in the homepage after a newly registered user, with no activity, is asking a question to either their mentor or the help desk:

  • a new user lands to the homepage and find the impact module in the unactivated state (with all counters at 0)
  • the user ask a question to either their mentor or the help desk
  • the "edits to other kinds of pages" of the impact module is increased
  • user might be confused because an edit has been added to the count, but potentially the user never read the copy in the success screen of the "ask a question" modal suggesting that by posting their questions they have made their first edit to a page (their mentor's talk page or the help desk)

We propose to highlight in bold the copy shown in the success screen of the "ask a question" modal, so that we help newcomers understand questions are edits to talk pages (or the help desk).

Related tasks T223127, T223135

Event Timeline

Cntlsn created this task.May 13 2019, 4:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 13 2019, 4:59 PM
Cntlsn updated the task description. (Show Details)May 17 2019, 11:39 AM
Cntlsn added subscribers: JTannerWMF, Catrope, SBisson and 6 others.
Cntlsn updated the task description. (Show Details)May 17 2019, 12:09 PM
Cntlsn updated the task description. (Show Details)
Cntlsn updated the task description. (Show Details)May 17 2019, 12:11 PM

Last screen of the "ask a question" modal mockups have been updated in both InVision and Zeplin, according to specifications in T215986

Copy is the same as help panel's success screen: "By the way, by posting this question, you've just made your first edit to a page. Congratulations!"

Cntlsn removed Cntlsn as the assignee of this task.May 29 2019, 3:17 PM

@Cntlsn -- I'm confused about this one. The help and mentorship modules already display the "By the way..." copy for the first edit. The only difference between the mockup and the software right now is that the "By the way..." copy isn't bold. Is this task about something else? Should we make it bold?

Cntlsn renamed this task from Homepage: last screen of the "ask a question" modal re-wording to Homepage: highlight "congratulations for first edit" copy in the last screen of the "ask a question" modal.Jun 6 2019, 11:58 AM
Cntlsn updated the task description. (Show Details)
Cntlsn removed Cntlsn as the assignee of this task.Jun 6 2019, 12:01 PM

@MMiller_WMF
You are right, but the previous mockups didn't feature the "By the way..." copy, and I only discovered about that by looking carefully at the help panel mockups (meaning I was never able to read it after posting my test questions on beta...)

I therefore changed the task title and description to highlight in bold the the "By the way..." copy.

This is ready for development. The work is to bold the "By the way..." copy in the mentorship module and help module dialogues.

Change 515135 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Help panel: bold the first edit text in the confirmation screen

https://gerrit.wikimedia.org/r/515135

Change 515135 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Help panel: bold the first edit text in the confirmation screen

https://gerrit.wikimedia.org/r/515135

"By the way..." is bolded.

Help panelMentorship module

Looks good, moving to PM review @MMiller_WMF

MMiller_WMF closed this task as Resolved.Jun 11 2019, 7:52 PM

Looks good to me. Thank you.